Bug 1467354 - [Mellanox Pike FEAT] openstack-nova: add support for VIF_TYPE_OVS_ACCELERATION
[Mellanox Pike FEAT] openstack-nova: add support for VIF_TYPE_OVS_ACCELERATION
Status: POST
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
medium Severity medium
: Upstream M3
: ---
Assigned To: Eoghan Glynn
Joe H. Rahme
: FutureFeature, OtherQA
Depends On:
Blocks: 1462592
  Show dependency treegraph
 
Reported: 2017-07-03 09:33 EDT by Slava Shwartsman
Modified: 2017-10-10 08:05 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1468329 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 398265 None None None 2017-07-04 11:39 EDT

  None (edit)
Description Slava Shwartsman 2017-07-03 09:33:58 EDT
1. Feature Overview:
        a) Name of feature:
                Add support for OVS HW offload
        b) Feature description:
                This FR will allow OVS mech driver to bind direct (SR-IOV) port.
This will allow to offload the OVS flows using tc to the SR-IOV NIC
and gain accelerate OVS.
2. Feature Details:
        a) Architectures:
                x86_64, ppc64le, ppc64, aarch64
        b) Bugzilla dependencies:
        c) Drivers or hardware dependencies:
Kernel support for traffic Control hardware offloads framework for SR-IOV VFs.
HW offload support in OpenVSwitch.
        d) Upstream acceptance information:
        https://review.openstack.org/#/c/275616/ 
        https://review.openstack.org/#/c/452530/
        e) External links:
        f) Severity (H, M, L):
                High
        g) Feature needed by:
                Partner: Mellanox

3. Business Justification:
        a) why is this feature needed?
        b) What hardware does this enable?
        c) Business impact?
        d) Other business drivers?

4. Primary contact at Red Hat, email, phone (chat):
        Andre Beausoleil abeausol@redhat.com

5. Primary contact at Partner, email. phone (chat):
        Kamal Heib kheib@redhat.com, Slava Shwartsman sshwarts@redhat.com, Noa Spanier noas@mellanox.com
Comment 1 Slava Shwartsman 2017-07-03 09:41:28 EDT
#Please ignore original description - This is the correct one#

1. Feature Overview:
        a) Name of feature:
                Add support for VIF_TYPE_OVS_ACCELERATION
        b) Feature description:
                This FR is for adding support for VIF_TYPE_OVS_ACCELERATION in OpenStack Compute (codename Nova).
2. Feature Details:
        a) Architectures:
                x86_64, ppc64le, ppc64, aarch64
        b) Bugzilla dependencies:
        c) Drivers or hardware dependencies:
Kernel support for traffic Control hardware offloads framework for SR-IOV VFs.
HW offload support in OpenVSwitch.
        d) Upstream acceptance information:
        https://review.openstack.org/#/c/398265/
        e) External links:
        f) Severity (H, M, L):
                High
        g) Feature needed by:
                Partner: Mellanox

3. Business Justification:
        a) why is this feature needed?
        b) What hardware does this enable?
        c) Business impact?
        d) Other business drivers?

4. Primary contact at Red Hat, email, phone (chat):
        Andre Beausoleil abeausol@redhat.com

5. Primary contact at Partner, email. phone (chat):
        Kamal Heib kheib@redhat.com, Slava Shwartsman sshwarts@redhat.com, Noa Spanier noas@mellanox.com
Comment 2 Red Hat Bugzilla Rules Engine 2017-10-06 09:42:10 EDT
This bugzilla has been removed from the release and needs to be reviewed for Triaging and release planning for an appropriate Target Milestone.

Note You need to log in before you can comment on or make changes to this bug.